<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, minimum-scale=1.0, initial-scale=1.0, user-scalable=yes">
    <meta name="description" content="">
    <link rel="SHORTCUT ICON" href="../static/images/icon.ico">
    <link rel="icon" href="../static/images/icon32.png" sizes="32x32"/>
    <link rel="icon" href="../static/images/icon48.png" sizes="48x48"/>
    <!-- Android Add To Home Settings -->
    <link rel="manifest" href="../static/manifest.json">
    <link rel="icon" href="../static/images/icon192.png" sizes="192x192" type="image/png">
    <link rel="icon" href="../static/images/icon384.png" sizes="384x384" type="image/png">
    <meta id="theme-color" name="theme-color" content="#e7e7e7">
    <meta name="mobile-web-app-capable" content="yes">
    <!-- iOS Add To Home Settings -->
    <link rel="apple-touch-icon" href="../static/images/icon192.png">
    <link rel="apple-touch-startup-image" href="../static/images/ios_splash.png">
    <meta name="apple-mobile-web-app-capable" content="yes">

    <title>Cryptocurrency Arbitrage Bot</title>

    <!-- Bootstrap Core CSS -->
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">

    <!-- jQuery Version 1.12.2 -->
    <script src="https://code.jquery.com/jquery-1.12.2.min.js"></script>

    <!-- Bootstrap Core JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

    <!-- toastr -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css" rel="stylesheet">

    <script src="../static/JavaScript/lendingbot.js" ></script>

    <style>
        .brand-margin{
            margin-top:4px;
            margin-bottom:4px
        }

        .inlinediv {
            display: inline-block;
            padding-right: 5%;
            vertical-align: top;
        }
        .plb-tooltip {
            white-space: nowrap;
            text-decoration: none;
            border-bottom: 1px dotted;
            color: black;
        }
        .plb-tooltip:hover {
            text-decoration: none;
        }

        form h5 {
            font-weight: 700;
        }

        form p,
        form h5 {
            margin-bottom: 5px;
        }

        .nav .glyphicon {
            color: black;
        }

        #file,
        #input-file {
            display: none;
        }

        #form_cover .form-group {
            margin-bottom: 35px;
        }
    </style>

</head>

<body>
    <!-- Page Content -->
    <nav class="navbar navbar-default" style="height: 100px;padding-top: 20px;">
        <div class="container">

            <!-- Brand and toggle get groupeㅌ for better mobile display -->
            <div class="navbar-header" style="margin-left:8px">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <!-- <img src="../static/images/icon192.png" height="32" width="32" style="margin-top: 8px;margin-right: 8px;margin-left: -15px;vertical-align:top"> -->
                <div style="display:inline-block">
                    <h1 class="brand-margin" id="botTitle">Cryptocurrency arbitrage</h4>
                    <!-- <h5 class="brand-margin" id="updated">Not updated</h5> -->
                </div>
            </div>

            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav" style="margin-left:50px;">
            
                    
                    <!-- <li data-toggle="collapse" data-target=".navbar-collapse.in"  >
                        <a href="" >
                            <span id="username"></span>
                        </a>
                    </li> -->

                    <li data-toggle="collapse" data-target=".navbar-collapse.in"  onClick="changeExchange()" style="text-align: center;width: 110px;border: 1px solid black;border-right-width:0px;">
                        <a href="#" >
                            <span id="exchangeTitle" style="text-align: center">Dashboard</span>
                        </a>
                    </li>

                    <li data-toggle="collapse" data-target=".navbar-collapse.in" id="Chart" onClick="chart()" style="text-align: center;width: 110px;border: 1px solid black;border-right-width:0px;">
                        <a href="#" >
                            
                            <span id="exchangeTitle" style="text-align: center">Bot</span>
                        </a>
                    </li>

                    <li data-toggle="collapse" data-target=".navbar-collapse.in" id="signout" onClick="signOut()" style="text-align: center;width: 110px;border: 1px solid black;border-right-width:0px;">
                        <a href="#" >
                            <span id="exchangeTitle" style="text-align: center">Live Stream</span>
                        </a>
                    </li>

                    <li data-toggle="collapse" data-target=".navbar-collapse.in" style="text-align: center;width: 110px;border: 1px solid black;">
                        <a href="#">
                            <span id="exchangeTitle" style="text-align: center">Setting</span>
                        </a>
                    </li>
                </ul>

                <span>Mode</span> <span>Test</span>
                <span>Bot running</span> <span style="color:red">STOP</span>
            </div>

            
        </div>
    </nav>
    <div class="container">
        <div>
            <div style="width: 50%;float: left;margin-top: 25px;">
                <div class="container" style="width: 100%">
                    <form id="form_cover">
                        <div class="form-group">
                            <label for="API">API KEY:</label>
                            <input class="form-control" id="API">
                        </div>

                        <div class="form-group">
                            <label for="Secret">Secret:</label>
                            <input type="password" class="form-control" id="Secret">
                        </div>

                        <div style="margin-top:60px;">
                            <button type="button" class="btn btn-primary" onclick="doSetKey()">Connect API Key</button>
                            <button type="button" class="btn btn-primary" onclick="toggleBot()" id="botToggle" style="margin-left: 100px;">Activate Bot</button>
                            <button type="button" class="btn btn-primary" onclick="doSetParam()" style="float:right">Set Param</button>
                            <br/>
                        </div>
                        
                    </form>
                </div>
                <br/>
                <!-- /.container -->
            </div>

            <div style="width: 50%;float: left;margin-top: 25px;">
                <div class="container" style="width: 100%">
                    <form id="form_cover">
                        <div class="form-group">
                            <label for="rate">Min Rate for 2 Days(%):</label>
                            <input type="number" class="form-control" min="0.003" max="5" id="rate">
                        </div>

                        <div class="form-group">
                            <label for="rateLonger">Min Rate For Longer Period (%):</label>
                            <input type="number" class="form-control" min="0" max="5" id="rateLonger">
                        </div>

                        <div class="form-group">
                            <label for="duration">Loan Duration (days):</label>
                            <input type="number" class="form-control" min="2" max="60" id="duration">
                        </div>
                        
                    </form>
                </div>
                <br/>
                <!-- /.container -->
            </div>

        </div>

        <div class="container" style="padding-top:50px;width: 100%;clear: both;">
            <div class="row" style="overflow-x:auto"> 
                <table class="table table-responsive">
                    <thead>
                        <tr>
                            <th style="vertical-align: text-top;">Status</th><th style="vertical-align: text-top;" id="status">N/A</th>
                        </tr>
                        <tr>
                            <td style="vertical-align: text-top;padding:0px;" colspan="2" >
                                <table class="table table-striped table-responsive"
                                    style="margin:0px"
                                    id="detailsTable" >
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <th colspan="2">Log (Reversed ordered):</th>
                        </tr>
                    </thead>
                    <tbody id="logtable">
                    </tbody>
                </table>
            </div>
        </div>

        <div class="modal fade" id="settings_modal" tabindex="-1" role="dialog">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                        <h4 class="modal-title">Settings</h4>
                    </div>
                    <div class="modal-body">
                        <form>
                            <div class="form-group">
                                <label for="refresh_interval">Page Refresh interval (10-60 seconds)</label>
                                <input type="number" class="form-control" id="refresh_interval" placeholder="(10-60)">
                            </div>

                            <div class="form-group">
                                <h5>Date ranges to display earnings for</h5>
                                <label class="checkbox-inline">
                                    <input data-timespan="Hour" type="checkbox"> Hourly
                                </label>
                                <label class="checkbox-inline">
                                    <input data-timespan="Day" type="checkbox"> Daily
                                </label>
                                <label class="checkbox-inline">
                                    <input data-timespan="Week" type="checkbox"> Weekly
                                </label>
                                <label class="checkbox-inline">
                                    <input data-timespan="Month" type="checkbox"> Monthly
                                </label>
                                <label class="checkbox-inline">
                                    <input data-timespan="Year" type="checkbox"> Yearly
                                </label>
                            </div>

                            <div class="form-group">
                                <h5>Bitcoin Display Unit</h5>
                                <label class="radio-inline">
                                    <input value="BTC" type="radio" name="btcDisplayUnit"> BTC
                                </label>
                                <label class="radio-inline">
                                    <input value="mBTC" type="radio" name="btcDisplayUnit"> mBTC
                                </label>
                                <label class="radio-inline">
                                    <input value="Bits" type="radio" name="btcDisplayUnit"> Bits
                                </label>
                                <label class="radio-inline">
                                    <input value="Satoshi" type="radio" name="btcDisplayUnit"> Satoshi
                                </label>
                            </div>

                            <div class="form-group">
                                <h5>Which earnings are displayed in selected output currency</h5>
                                <label class="radio-inline">
                                    <input value="all" type="radio" name="outputCurrencyDisplayMode"> All Coins
                                </label>
                                <label class="radio-inline">
                                    <input value="summary" type="radio" name="outputCurrencyDisplayMode"> Only Summary
                                </label>
                            </div>

                            <div class="form-group">
                                <h5>Effective loan rates calculation</h5>
                                <p class="small">Effective rate can either take into consideration the actual amount actively lent OR consider only Poloniex 15% fee</p>
                                <label class="radio-inline">
                                    <input value="lentperc" type="radio" name="effRateMode"> Fee and Effective Lent
                                </label>
                                <label class="radio-inline">
                                    <input value="onlyfee" type="radio" name="effRateMode"> Fee Only
                                </label>
                            </div>

                        </form>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                        <button type="button" class="btn btn-primary" onclick="doSave()">Save changes</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>

</html>
